<?php
	$curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $author_name) : get_userdata(intval($author));
	$phone = $curauth->phone;
	$twitter = $curauth->twitter;

if(strtolower($_SERVER['REQUEST_METHOD']) == 'post' && isset($_POST['cName']) && isset($_POST['cEmail']) && isset($_POST['cSubject']) && isset($_POST['cMsg'])) {
	$name = trim($_POST['cName']);
	$email = trim($_POST['cEmail']);
	$subject = trim($_POST['cSubject']);
	$msg = trim($_POST['cMsg']);

	if(empty($name)) $cNameErr = true;
	if(empty($email) || filter_var($email, FILTER_VALIDATE_EMAIL) === false) $cEmailErr = true;
	if(empty($subject)) $cSubjectErr = true;
	if(empty($msg)) $cMsgErr = true;

	if(!isset($cNameErr) && !isset($cEmailErr) && !isset($cSubjectErr) && !isset($cMsgErr)) {
		global $author;
		$spam = bm_checkSpam(array('comment_author' => $name, 'comment_author_email' => $email, 'comment_content' => $subject . "\n\n" . $msg));
		$out['send_result'] = $spam ? false : wp_mail(
			$curauth->user_email,
			htmlspecialchars(get_bloginfo('name') . __(' Inquiry: ', 'wpzoom') . $curauth->display_name),
			htmlspecialchars($msg),
			sprintf("From: %s <%s>\r\n", htmlspecialchars($name), $email)
		);
	} else {
		if(isset($cNameErr)) $out['name_error'] = true;
		if(isset($cEmailErr)) $out['email_error'] = true;
		if(isset($cSubjectErr)) $out['subject_error'] = true;
		if(isset($cMsgErr)) $out['message_error'] = true;
	}

	if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		header('Content-type: application/json');
		die(json_encode($out));
	}
}
?>
<?php get_header(); ?>
<?php wp_reset_query(); ?>	

<div id="main" role="main">
 
 	<div class="property_widget">
		<div class="widget_border">
 			<div class="author_box">
						<img src="http://www.ipropertyu.com/wp-content/uploads/2012/11/logo_widget.gif">

				<div class="author_info">
							<span class="author_name"><a href="http://www.ipropertyu.com/author/ipropertyu-com/">TORA VILLA Real Estate</a></span>
 							<p><?php the_author_meta('description'); ?></p>
 				</div>
					
				<div class="author_contact">
					<h4><?php echo option::get('lang_5') ?></h4>
 					<span>
						<?php if ( $twitter != '' ) { ?>
							<?php echo option::get('lang_6') ?>: <a href="http://twitter.com/<?php echo $curauth->twitter; ?>" title="Follow <?php echo $curauth->display_name; ?> on Twitter" target="_blank">@ipropertyucom</a>
						<?php } ?>
					</span>
					
					<span>
						<?php if ( $phone != '') { ?>
							<?php echo option::get('lang_7') ?>: <?php echo $curauth->phone; ?> 
						<?php } ?>
						
 					</span>
		 
					<a href="#" class="contact_form"><span><?php echo option::get('lang_8') ?></span><?php echo option::get('lang_9') ?></a>
 				</div>
 			</div><!-- /.author_box -->
 	 
			<?php get_template_part('wpzoom', 'contactform'); ?>
			
			<div class="clear"></div>
 		</div><!-- /.widget_border -->
 		
 		<?php get_template_part('wpzoom', 'toggler'); ?>
 		
 	</div><!-- /.property_widget -->
	
	<?php get_template_part('loop', 'estate'); ?>

</div><!-- /#main -->
<?php get_footer(); ?>