<?php

/* Register Thumbnails Size
================================== */

if ( function_exists( 'add_image_size' ) ) {

    /* Featured Section */
    add_image_size( 'featured', 960, 515, true);
    add_image_size( 'featured-small', 50, 50, true );

    /* Recent listings/posts  */
    add_image_size( 'post-list', 608, 192, true );
    add_image_size( 'post-grid', 300, 192, true );

    /* Listing Gallery */
    add_image_size( 'single-slider', 600, 320, true );

    /* Recent Posts Widget */
    add_image_size( 'recent-widget', 50, 50, true );

}


/*  Register Custom Menu
==================================== */

register_nav_menu('primary', 'Main menu');



/* Add support for Custom Background
==================================== */

if ( ui::is_wp_version( '3.4' ) )
	add_theme_support( 'custom-background' );
else
	add_custom_background( $args );


/* Custom Excerpt Length
==================================== */

function new_excerpt_length($length) {
    return (int) option::get("excerpt_length") ? (int) option::get("excerpt_length") : 50;
}
add_filter('excerpt_length', 'new_excerpt_length');



/* Reset Search Form
==================================== */

function my_search_form( $form ) {

    $form = '<form role="search" method="get" id="searchform" action="' . home_url( '/' ) . '" >
    <div>
    <input type="text" value="';
    if ($_GET['post_type'] != 'estate') { $form .= get_search_query(); }
    $form .= '" name="s" id="s" />    <input type="submit" id="searchsubmit" value="'. esc_attr__('Search') .'" />
    </div>
    </form>';

    return $form;
}

add_filter( 'get_search_form', 'my_search_form' );


/* Reset [gallery] shortcode styles
==================================== */

add_filter('gallery_style', create_function('$a', 'return "<div class=\'gallery\'>";'));


/* Content width
==================================== */

if ( ! isset( $content_width ) ) $content_width = 556;



/* Email validation
==================================== */

function simple_email_check($email) {
    // First, we check that there's one @ symbol, and that the lengths are right
    if (!ereg("^[^@]{1,64}@[^@]{1,255}$", $email)) {
        // Email invalid because wrong number of characters in one section, or wrong number of @ symbols.
        return false;
    }

    return true;
}


/*  Limit Posts
/*
/*  Plugin URI: http://labitacora.net/comunBlog/limit-post.phps
/*  Usage: the_content_limit($max_charaters, $more_link)
===================================================== */

function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '', $echo = false) {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

    if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        if ($echo == true) { echo $content . "..."; } else {return $content; }
   }
   else {
      if ($echo == true) { echo $content . "..."; } else {return $content; }
   }
}


/* Register Custom Fields in Profile: Phone, Twitter
===================================================== */

add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );

function my_show_extra_profile_fields( $user ) { ?>

    <h3>Agent Profile Information</h3>

    <table class="form-table">

        <tr>
            <th><label for="twitter">Phone Number</label></th>

            <td>
                <input type="text" name="phone" id="phone" value="<?php echo esc_attr( get_the_author_meta( 'phone', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description">Please enter your Phone Number.</span>
            </td>
        </tr>

        <tr>
            <th><label for="twitter">Twitter</label></th>

            <td>
                <input type="text" name="twitter" id="twitter" value="<?php echo esc_attr( get_the_author_meta( 'twitter', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description">Please enter your Twitter username.</span>
            </td>
        </tr>

    </table>
<?php }

add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );

function my_save_extra_profile_fields( $user_id ) {

    if ( !current_user_can( 'edit_user', $user_id ) )
        return false;

    /* Copy and paste this line for additional fields. Make sure to change 'twitter' to the field ID. */
    update_usermeta( $user_id, 'phone', $_POST['phone'] );
    update_usermeta( $user_id, 'twitter', $_POST['twitter'] );
}



/* Custom Role for agent
==================================== */

if (option::get('agent_enable') == 'on') {
    wpzoomAddAgentRole();
} else {
    $agentRole = 'wpzoom_agent';

    if (get_role($agentRole)) {
        remove_role($agentRole);
    }
}

function wpzoomAddAgentRole() {
    $agentRole = 'wpzoom_agent';
    $agentName = option::get('agent_role_name');
    $themeAgentRole = option::get('agent_role_parent');
    $eRole = get_role($agentRole);

    if ($eRole) {
        $role = get_role($themeAgentRole);
        $agentCap = $role->capabilities;
        $eRole->capabilities = $agentCap;
    } else if (($themeAgentRole != '')) {
        $role = get_role($themeAgentRole);
        $agentCap = $role->capabilites;

        $newRole = strip_tags($agentRole);
        $newRole = str_replace(array( '-', ' ', '&nbsp;' ) , '_', $newRole);
        $newRole = preg_replace('/[^A-Za-z0-9_]/', '', $newRole);
        $newRole = strtolower($newRole);

        $newRoleName = strip_tags($agentName);

        $newRoleAdded = add_role($newRole, $newRoleName, $agentCap);
    }
}


/* Comments Custom Template
==================================== */

function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
        <div id="comment-<?php comment_ID(); ?>" class="commbody">
            <div class="comm_main">

                <div class="comm_text">
                <?php comment_text() ?>
                    <?php if ($comment->comment_approved == '0') : ?>
                         <em><?php _e('Your comment is awaiting moderation.', 'wpzoom') ?></em>
                         <br />
                    <?php endif; ?>

                    <?php edit_comment_link(__('Edit'),'  ','') ?>
                </div>
                <div class="vcard">
                    <?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>

                    <a class="comm_date" href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s  '), get_comment_date('M d, Y'),  get_comment_time()) ?>, <?php printf(__('%2$s'), get_comment_date(),  get_comment_time()) ?></a>
                </div>
            </div>

            <div class="comment_avatar">
                <?php echo get_avatar($comment,$size='64' ); ?>

                <div class="reply">
                 <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
            </div>

            </div>
            <div class="clear"></div>
        </div>

<?php }


/* Breadcrumbs
============================== */

function wpzoom_breadcrumbs() {

  $delimiter = '&raquo;';
  $name = __('Home'); //text for the 'Home' link
  $currentBefore = '<span class="current">';
  $currentAfter = '</span>';

  if ( !is_home() && !is_front_page() || is_paged() ) {

     global $post;
    $home = get_bloginfo('url');
    echo '<a href="' . $home . '">' . $name . '</a> ' . $delimiter . ' ';

    if ( is_category() ) {
      global $wp_query;
      $cat_obj = $wp_query->get_queried_object();
      $thisCat = $cat_obj->term_id;
      $thisCat = get_category($thisCat);
      $parentCat = get_category($thisCat->parent);
      if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
      echo $currentBefore . '';
      single_cat_title();
      echo '' . $currentAfter;

    } elseif ( is_day() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
      echo $currentBefore . get_the_time('d') . $currentAfter;

    } elseif ( is_month() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo $currentBefore . get_the_time('F') . $currentAfter;

    } elseif ( is_year() ) {
      echo $currentBefore . get_the_time('Y') . $currentAfter;

    } elseif ( is_single() ) {
      $cat = get_the_category(); $cat = $cat[0];
      if ($cat)
      {
      echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
      }
      echo $currentBefore;
      //the_title();
      echo $currentAfter;

    } elseif ( is_page() && !$post->post_parent ) {
      echo $currentBefore;
      the_title();
      echo $currentAfter;

    } elseif ( is_page() && $post->post_parent ) {
      $parent_id  = $post->post_parent;
      $breadcrumbs = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        $parent_id  = $page->post_parent;
      }
      $breadcrumbs = array_reverse($breadcrumbs);
      foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
      echo $currentBefore;
      the_title();
      echo $currentAfter;

    } elseif ( is_search() ) {
      echo $currentBefore . __('Search results for &#39;', 'wpzoom') . get_search_query() . '&#39;' . $currentAfter;

    } elseif ( is_tag() ) {
      echo $currentBefore . __('Posts tagged &#39;', 'wpzoom');
      single_tag_title();
      echo '&#39;' . $currentAfter;

    } elseif ( is_author() ) {
       global $author;
      $userdata = get_userdata($author);
      echo $currentBefore . __('Articles posted by ', 'wpzoom') . $userdata->display_name . $currentAfter;

    } elseif ( is_404() ) {
      echo $currentBefore . __('Error 404', 'wpzoom') . $currentAfter;
    }

    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo __('Page') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }

  }
}


/* Filter main loop when searching estates
======================================================================== */

function wpz_estate_search($query) {
	if(is_search() && !is_admin() && isset($_GET['post_type']) && $_GET['post_type'] == 'estate' && $query->is_main_query()) {
		$query->set('post_type', 'estate');
		$query->set('posts_per_page', 9);
		$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
		$query->set('paged', $paged);
		$query->set('orderby', 'title');
		$query->set('order', 'ASC');
		$query->set('s', '');

		if (isset($_GET['status']) && intval($_GET['status']) > 0) {
			$sStatus = get_term_by('id', intval($_GET['status']), 'status');
			$searchStatus = $sStatus->slug;
		} else {
			$searchStatus = '';
		}

		if (isset($_GET['types']) && intval($_GET['types']) > 0) {
			$sTypes = get_term_by('id', intval($_GET['types']), 'types');
			$searchTypes = $sTypes->slug;
		} else {
			$searchTypes = '';
		}

		if (isset($_GET['location']) && intval($_GET['location']) > 0) {
			$sLocation = get_term_by('id', intval($_GET['location']), 'location');
			$searchLocation = $sLocation->slug;
		} else {
			$searchLocation = '';
		}

		$query->set('status', $searchStatus);
		$query->set('types', $searchTypes);
		$query->set('location', $searchLocation);

		$searchBedrooms = isset($_GET['bedrooms']) && intval($_GET['bedrooms']) > 0 ? intval($_GET['bedrooms']) : '';

		$searchBathrooms = isset($_GET['bathrooms']) && intval($_GET['bathrooms']) > 0 ? intval($_GET['bathrooms']) : '';

		$searchPrice1 = isset($_GET['price1']) && intval($_GET['price1']) > 0 ? intval($_GET['price1']) : '';

		$searchPrice2 = isset($_GET['price2']) && intval($_GET['price2']) > 0 ? intval($_GET['price2']) : '';

		$meta = array('relation' => 'AND');

		if ($searchBedrooms != '') {
			$meta[] = array(
				'key' => 'wpzoom_estate_wpzbedroom',
				'value' => $searchBedrooms,
				'compare' => '>=',
				'type' => 'NUMERIC'
			);
		}

		if ($searchBathrooms != '') {
			$meta[] = array(
				'key' => 'wpzoom_estate_wpzbathroom',
				'value' => $searchBathrooms,
				'compare' => '>=',
				'type' => 'NUMERIC'
			);
		}

		if ($searchPrice1 != '') {
			$meta[] = array(
				'key' => 'wpzoom_estate_wpzprice',
				'value' => $searchPrice1,
				'compare' => '>=',
				'type' => 'NUMERIC'
			);
		}

		if ($searchPrice2 != '') {
			$meta[] = array(
				'key' => 'wpzoom_estate_wpzprice',
				'value' => $searchPrice2,
				'compare' => '<=',
				'type' => 'NUMERIC'
			);
		}

		$query->set('meta_query', $meta);
	}

	return $query;
}

add_action('pre_get_posts', 'wpz_estate_search');


/* Filter main loop when the latest listings is selected to be displayed on the homepage
============================================================================================= */

function wpz_home_latest_listings($query) {
if(((option::get('homepage_content') == 'Latest listings' && is_home()) || is_author()) && !is_admin() && $query->is_main_query()) {
		$query->set('post_type', 'estate');
		$showposts = ( option::get('estate_posts') ) ? option::get('estate_posts') : 5;
		$query->set('posts_per_page', $showposts);
	}

	return $query;
}

add_action('pre_get_posts', 'wpz_home_latest_listings');


/* Use Akismet (if available) on contact form submissions
 * Props Ben Gillbanks - http://www.binarymoon.co.uk/2010/03/akismet-plugin-theme-stop-spam-dead/
==================================================================================================== */

function bm_checkSpam ($content) {

	// innocent until proven guilty
	$isSpam = FALSE;
	
	$content = (array) $content;
	
	if (function_exists('akismet_init')) {
		
		$wpcom_api_key = get_option('wordpress_api_key');
		
		if (!empty($wpcom_api_key)) {
		
			global $akismet_api_host, $akismet_api_port;

			// set remaining required values for akismet api
			$content['user_ip'] = preg_replace( '/[^0-9., ]/', '', $_SERVER['REMOTE_ADDR'] );
			$content['user_agent'] = $_SERVER['HTTP_USER_AGENT'];
			$content['referrer'] = $_SERVER['HTTP_REFERER'];
			$content['blog'] = get_option('home');
			
			if (empty($content['referrer'])) {
				$content['referrer'] = get_permalink();
			}
			
			$queryString = '';
			
			foreach ($content as $key => $data) {
				if (!empty($data)) {
					$queryString .= $key . '=' . urlencode(stripslashes($data)) . '&';
				}
			}
			
			$response = akismet_http_post($queryString, $akismet_api_host, '/1.1/comment-check', $akismet_api_port);
			
			if ($response[1] == 'true') {
				update_option('akismet_spam_count', get_option('akismet_spam_count') + 1);
				$isSpam = TRUE;
			}
			
		}
		
	}
	
	return $isSpam;

}


?>