<?php 

/**
 * Init roles list so we can use them in options list
 */

$agent_roles_parent = new WP_Roles();
$agent_roles_list = array();
$agent_roles_list_obj = $agent_roles_parent->role_names;

foreach ($agent_roles_list_obj as $key => $value) {
    $agent_roles_list[$key] = $key;
}

return array(

/* Theme Admin Menu */
"menu" => array(
    array("id"    => "1",
          "name"  => "General"),
    
    array("id"    => "2",
          "name"  => "Homepage"),
          
	array("id"    => "5",
          "name"  => "Styling"),
          
	array("id"    => "7",
          "name"  => "Banners"),
),

/* Theme Admin Options */
"id1" => array(
    array("type"  => "preheader",
          "name"  => "Site Settings"),

	array("name"  => "Logo Image",
          "desc"  => "Upload a custom logo image for your site, or you can specify an image URL directly.",
          "id"    => "misc_logo_path",
          "std"   => "",
          "type"  => "upload"),

    array("name"  => "Favicon URL",
          "desc"  => "Upload a favicon image (16&times;16px).",
          "id"    => "misc_favicon",
          "std"   => "",
          "type"  => "upload"),
          
    array("name"  => "Custom Feed URL",
          "desc"  => "Example: <strong>http://feeds.feedburner.com/</strong>",
          "id"    => "misc_feedburner",
          "std"   => "",
          "type"  => "text"),
 
	array("name"  => "Enable comments for static pages",
          "id"    => "comments_page",
          "std"   => "off",
          "type"  => "checkbox"),
          
	array("type"  => "preheader",
          "name"  => "Property Labels"),
 
 	array("name"  => "Currency Symbol",
          "desc"  => "Specify the currency for your properties price.",
          "id"    => "currency",
          "std"   => "$",
          "type"  => "text"),
          
	array("name"  => "Price Label",
          "desc"  => "Default: <strong>Price</strong>",
          "id"    => "price",
          "std"   => "Price",
          "type"  => "text"),
          
	array("name"  => "Bedrooms Label",
          "desc"  => "Default: <strong>Bedrooms</strong>",
          "id"    => "bedrooms",
          "std"   => "Bedrooms",
          "type"  => "text"),
          
          
	array("name"  => "Bathrooms Label",
          "desc"  => "Default: <strong>Bathrooms</strong>",
          "id"    => "bathrooms",
          "std"   => "Bathrooms",
          "type"  => "text"),
          
          
	array("name"  => "Address Label",
          "desc"  => "Default: <strong>Address</strong>",
          "id"    => "address",
          "std"   => "Address",
          "type"  => "text"),
	
	
	array("type"  => "preheader",
          "name"  => "Additional Property Details"),

	array("name"  => "Option #1",
          "desc"  => "<em>Only completed labels on this section will be available in editing page.</em><br/>Default: <strong>City</strong>",
          "id"    => "listing_1",
          "std"   => "City",
          "type"  => "text"),
          
	array("name"  => "Option #2",
          "desc"  => "Default: <strong>State</strong>",
          "id"    => "listing_2",
          "std"   => "State",
          "type"  => "text"),
          
	array("name"  => "Option #3",
          "desc"  => "Default: <strong>ZIP</strong>",
          "id"    => "listing_3",
          "std"   => "ZIP",
          "type"  => "text"),
          
	array("name"  => "Option #4",
          "desc"  => "Default: <strong>Square Feet</strong>",
          "id"    => "listing_4",
          "std"   => "Square Feet",
          "type"  => "text"),
          
	array("name"  => "Option #5",
           "id"    => "listing_5",
           "type"  => "text"),
          
	array("name"  => "Option #6",
           "id"    => "listing_6",
           "type"  => "text"),
          
	array("name"  => "Option #7",
           "id"    => "listing_7",
           "type"  => "text"),
          
	array("name"  => "Option #8",
           "id"    => "listing_8",
           "type"  => "text"),
          
	array("name"  => "Option #9",
           "id"    => "listing_9",
           "type"  => "text"),
          
	array("name"  => "Option #10",
           "id"   => "listing_10",
           "type" => "text"),
          
	array("name"  => "Option #11",
           "id"   => "listing_11",
           "type" => "text"),
          
	array("name"  => "Option #12",
           "id"   => "listing_12",
           "type" => "text"),
          
	array("name"  => "Option #13",
           "id"   => "listing_13",
           "type" => "text"),
          
	array("name"  => "Option #14",
           "id"   => "listing_14",
           "type" => "text"),
          
	array("name"  => "Option #15",
           "id"   => "listing_15",
		  "type"  => "text"),
          
	array("name"  => "Option #16",
           "id"   => "listing_16",
           "type" => "text"),
          
	array("name"  => "Option #17",
           "id"   => "listing_17",
           "type" => "text"),
          
	array("name"  => "Option #18",
           "id"   => "listing_18",
           "type" => "text"),
          
	array("name"  => "Option #19",
           "id"   => "listing_19",
           "type" => "text"),
          
	array("name"  => "Option #20",
           "id"   => "listing_20",
           "type" => "text"),
 
    array("type"  => "preheader",
          "name"  => "Agent setup"),

    array("name"  => "Enable <b>Agent</b> user role",
          "id"    => "agent_enable",
          "std"   => "off",
          "type"  => "checkbox"),

    array("name"  => "Agent role name",
          "id"    => "agent_role_name",
          "std"   => "Agent",
          "type"  => "text"),

    array("name"  => "Inherit capabilities of:",
          "desc"  => "Select the default user capabilities for an agent.<br />",
          "id"    => "agent_role_parent",
          "options" => $agent_roles_list,
          "std"   => "author",
          "type"  => "select"),
          
	array("type"  => "preheader",
          "name"  => "Translations"),

	array("name"  => "View Listing",
		  "desc"  => "On this page you can change or translate only the text which is specific to Site Options. To translate the text which is not specific to this theme (general terms), follow this <a href=\"http://www.comturkey.com\" target=\"_blank\">tutorial</a>.",
          "id"    => "lang_1",
          "std"   => "View Listing",
          "type"  => "text"),
          
	array("name"  => "Read More",
          "id"    => "lang_2",
          "std"   => "Read More",
          "type"  => "text"),
          
	array("name"  => "My Listings",
          "id"    => "lang_3",
          "std"   => "My Listings",
          "type"  => "text"),

	array("name"  => "Recent Listings",
           "id"    => "lang_4",
          "std"   => "Recent Listings",
          "type"  => "text"),

	array("name"  => "Contact Information",
          "id"    => "lang_5",
          "std"   => "Contact Information",
          "type"  => "text"),

	array("name"  => "Twitter",
          "id"    => "lang_6",
          "std"   => "Twitter",
          "type"  => "text"),

	array("name"  => "Phone",
          "id"    => "lang_7",
          "std"   => "Phone",
          "type"  => "text"),
          
  	array("name"  => "Interested in my listings?",
          "id"    => "lang_8",
          "std"   => "Interested in my listings?",
          "type"  => "text"),

	array("name"  => "Contact me now!",
          "id"    => "lang_9",
          "std"   => "Contact me now!",
          "type"  => "text"),

	array("name"  => "Description",
          "id"    => "lang_10",
          "std"   => "Description",
          "type"  => "text"),

	array("name"  => "Listing Details",
          "id"    => "lang_11",
          "std"   => "Listing Details",
          "type"  => "text"),
          
	array("name"  => "Contact Agent",
          "id"    => "lang_12",
          "std"   => "Contact Agent",
          "type"  => "text"),

	array("name"  => "Interested in this listing?",
          "id"    => "lang_13",
          "std"   => "Interested in this listing?",
          "type"  => "text"),

	array("name"  => "Book an appointment!",
          "id"    => "lang_14",
          "std"   => "Book an appointment!",
          "type"  => "text"),
          
	array("name"  => "Show map",
          "id"    => "lang_15",
          "std"   => "Show map",
          "type"  => "text"),

	array("type"  => "preheader",
          "name"  => "Search Form"),
           
    array("name"  => "Price Search Values",
          "desc"  => "Type in the price values that should appear in the search form, in the Price (min) and Price (max) select boxes. Each price on a separate line, no currency signs and or special chars. Only digits.",
          "id"    => "search_price_values",
          "std"   => "50000\n75000\n100000\n150000\n200000\n250000\n300000\n350000\n400000\n450000\n500000\n600000\n700000\n800000\n900000\n1000000\n1500000\n2000000\n2500000\n5000000\n10000000\n15000000\n20000000",
          "type"  => "textarea"),
           
	array("name"  => "Label for Property Status",
          "id"    => "search_status",
          "std"   => "Property Status",
          "type"  => "text"),
          
	array("name"  => "Label for Property Type",
          "id"    => "search_type",
          "std"   => "Property Type",
          "type"  => "text"),

	array("name"  => "Label for Location",
          "id"    => "search_location",
          "std"   => "Location",
          "type"  => "text"),
          
	array("name"  => "Label for Minimum Price",
          "id"    => "search_pricemin",
          "std"   => "Price (min)",
          "type"  => "text"),
          
	array("name"  => "Label for Maximum Price",
          "id"    => "search_pricemax",
          "std"   => "Price (max)",
          "type"  => "text"),
          
	array("name"  => "Label for Bedrooms",
          "id"    => "search_bed",
          "std"   => "Bedrooms",
          "type"  => "text"),

	array("name"  => "Label for Bathrooms",
          "id"    => "search_bath",
          "std"   => "Bathrooms",
          "type"  => "text"),

 	array("name"  => "Label for Search button",
          "id"    => "search_btn",
          "std"   => "Search",
          "type"  => "text"),
          
          
	array("type"  => "preheader",
          "name"  => "Listings Options"),

 	array("name"  => "Enable Listing Layout Switch?",
	      "desc"  => "If you disable Layout Switch, then your visitors will see listings in the default layout you select in the next option.",
		  "id"    => "post_switcher",
 		  "std"   => "on",
          "type"  => "checkbox"),
				
 	array("name"  => "Default Layout",
 		  "id"    => "post_layout",
		  "options" => array('List', 'Grid'),
		  "std"  => "List",
		  "type" => "select"),
			
	array("name"  => "Content",
		  "desc"  => "Select what content you want to display when viewing a page with multiple listings.",
		  "id"    => "list_content",
          "options" => array('Excerpt', 'Full Content'),
          "std"   => "Excerpt",
          "type"  => "select"),
			
    array("name"  => "Show Thumbnail",
		  "desc"  => "Show or hide thumbnail for listings on the front page or in the search results.",
          "id"    => "list_thumb",
          "std"   => "on",
          "type"  => "checkbox"),
          
	array("name"  => "Show Listing Price",
          "id"    => "list_price",
          "std"   => "on",
          "type"  => "checkbox"), 
 
	array("name"  => "Show Read More button",
          "id"    => "list_morebtn",
          "std"   => "on",
          "type"  => "checkbox"),   

	array("type"  => "preheader",
          "name"  => "Single Listing Options"),

 	array("name"  => "Show Author(agent) Profile",
          "id"    => "list_author",
          "std"   => "on",
          "type"  => "checkbox"),   
          
 	array("name"  => "Show Contact Form (blue button)",
          "id"    => "list_author_contact",
          "std"   => "on",
          "type"  => "checkbox"),


	array("type"  => "preheader",
          "name"  => "Global Post Options"),
  			
	array("name"  => "Content",
          "desc"  => "Number of posts displayed on homepage can be changed <a href=\"options-reading.php\" target=\"_blank\">here</a>.",
          "id"    => "display_content",
          "options" => array('Excerpt', 'Full Content'),
          "std"   => "Excerpt",
          "type"  => "select"),
     
    array("name"  => "Excerpt length",
          "desc"  => "Default: <strong>50</strong> (words)",
          "id"    => "excerpt_length",
          "std"   => "50",
          "type"  => "text"),
 		
    array("name"  => "Show Thumbnail",
    	  "desc"  => "Show or hide thumbnail for blog posts on the front page or in the search results.",
          "id"    => "index_thumb",
          "std"   => "on",
          "type"  => "checkbox"),

	array("name"  => "Show Date/Time",
          "desc"  => "<strong>Date/Time format</strong> can be changed <a href='options-general.php' target='_blank'>here</a>.",
          "id"    => "display_date",
          "std"   => "on",
          "type"  => "checkbox"), 
          
    array("name"  => "Show Category",
          "id"    => "display_category",
          "std"   => "on",
          "type"  => "checkbox"),    
          
    array("name"  => "Show Comments Count",
          "id"    => "display_comments",
          "std"   => "on",
          "type"  => "checkbox"),    
          
	array("name"  => "Show Read More button",
          "id"    => "display_morebtn",
          "std"   => "on",
          "type"  => "checkbox"),    
          
          
	array("type"  => "preheader",
          "name"  => "Single Post Options"),
          
	array("name"  => "Show Date/Time",
          "desc"  => "<strong>Date/Time format</strong> can be changed <a href='options-general.php' target='_blank'>here</a>.",
          "id"    => "post_date",
          "std"   => "on",
          "type"  => "checkbox"),  
          
	array("name"  => "Show Social Buttons",
          "id"    => "post_share",
          "std"   => "on",
          "type"  => "checkbox"),
           
    array("name"  => "Show Tags",
          "id"    => "post_tags",
          "std"   => "on",
          "type"  => "checkbox"),
          
    array("name"  => "Show Comments",
          "id"    => "post_comments",
          "std"   => "on",
          "type"  => "checkbox"),
  
),

"id2" => array(
    array("type"  => "preheader",
          "name"  => "Slider Settings"),
    
    array("name"  => "Enable the featured slider",
          "desc"  => "The featured slider will display 4 <strong>Properties</strong> custom post type. You can add them <a href='edit.php?post_type=estate' target='_blank'>here</a>",
          "id"    => "slider_index",
          "std"   => "on",
          "type"  => "checkbox"),   
          
	array("name"  => "Autoplay slider",
          "desc"  => "Should the slider start rotating automatically?",
          "id"    => "featured_rotate",
          "std"   => "off",
          "type"  => "checkbox"),   
          
	array("name"  => "Autoplay Interval",
          "desc"  => "Select the interval (in miliseconds) at which the slider should change posts (if autoplay is enabled). Default: 3000 (3 seconds).",
          "id"    => "featured_interval",
          "std"   => "3000",
          "type"  => "text"),
          
          
          
	array("type"  => "preheader",
          "name"  => "Homepage Settings"),
    
    array("name"  => "Front page displays:",
	      "id"    => "homepage_content",
          "options" => array('Latest listings', 'Latest blog posts'),
          "std"   => "Latest listings",
          "type"  => "select"),
          
	array("name"  => "Number of listings on each page",
          "desc"  => "Default: <strong>5</strong><br/><br/>Number of blog posts displayed on homepage can be changed <a href=\"options-reading.php\" target=\"_blank\">here</a>.",
          "id"    => "estate_posts",
          "std"   => "5",
          "type"  => "text"),
          
	array("name"  => "Exclude Categories from homepage <br/>(when showing blog posts)",
          "desc"  => "Choose the categories which should be excluded from the main Loop on the homepage.<br/><em>Press CTRL or CMD key to select/deselect multiple categories </em>",
          "id"    => "exclude_cats_recent",
          "type"  => "select-category-multi"),
),

"id3" => array(
    
),

"id4" => array(
    array("type"  => "preheader",
          "name"  => "Header address"),

    array("name"  => "Your company address",
          "desc"  => "Address that is displayed in header",
          "id"    => "misc_address",
          "std"   => "9 Street Address, Brighton BN17GP",
          "type"  => "text"),

    array("name"  => "Your company phone",
          "desc"  => "Phone that is displayed in header",
          "id"    => "misc_phone",
          "std"   => "1234 567890",
          "type"  => "text"),
),

"id5" => array(
	array("type"  => "preheader",
          "name"  => "Styling"),
 
	array("name"  => "Background Color",
          "desc"  => "Optionally you can upload an image as background on this <a href=\"themes.php?page=custom-background\" target=\"_blank\">here</a>.",
 		   "id"   => "bg_css_color",
           "type" => "color",
           "selector" => "body",
           "attr" => "background-color"),
           
	array("name"  => "Link Color",
		   "id"   => "a_css_color",
           "type" => "color",
           "selector" => "a",
           "attr" => "color"),
           
	array("name"  => "Link Hover Color",
		   "id"   => "ahover_css_color",
           "type" => "color",
           "selector" => "a:hover",
           "attr" => "color"),
           
	array("name"  => "Button Color",
		   "id"   => "btn_css_color",
           "type" => "color",
           "selector" => "a.readmore, .readmore a",
           "attr" => "background-color"),
           
	array("name"  => "Button Hover Color",
		   "id"   => "btnhover_css_color",
           "type" => "color",
           "selector" => "a.readmore:hover, .readmore a:hover",
           "attr" => "background-color"),
           
	array("name"  => "Widget Title Background",
		   "id"   => "widgetbg_css_color",
           "type" => "color",
           "selector" => ".widget h3.t-head, .single-estate h3.entry-title",
           "attr" => "background-color"),
),

	 
"id7" => array(
           
	array("type"  => "preheader",
          "name"  => "Sidebar Ad"),
          
	array("name"  => "Enable ad space in sidebar?",
          "id"    => "banner_sidebar_enable",
          "std"   => "off",
          "type"  => "checkbox"),
          
	array("name"  => "Ad Position",
          "desc"  => "Do you want to place the banner before the widgets or after the widgets?",
          "id"    => "banner_sidebar_position",
          "options" => array('Before widgets', 'After widgets'),
          "std"   => "Before widgets",
          "type"  => "select"),
          
    array("name"  => "HTML Code (Adsense)",
          "desc"  => "Enter complete HTML code for your banner (or Adsense code) or upload an image below.",
          "id"    => "banner_sidebar_html",
          "std"   => "",
          "type"  => "textarea"),
          
	array("name"  => "Upload your image",
          "desc"  => "Upload a banner image or enter the URL of an existing image.<br/>Recommended size: <strong>230 × 125px</strong>",
          "id"    => "banner_sidebar",
          "std"   => "",
          "type"  => "upload"),
          
	array("name"  => "Destination URL",
          "desc"  => "Enter the URL where this banner ad points to.",
          "id"    => "banner_sidebar_url",
          "type"  => "text"),
          
	array("name"  => "Banner Title",
          "desc"  => "Enter the title for this banner which will be used for ALT tag.",
          "id"    => "banner_sidebar_alt",
          "type"  => "text"),

)

/* end return */);