<?php

/*------------------------------------------*/
/* WPZOOM: Featured Agent          			*/
/*------------------------------------------*/
 
class WPZOOM_Featured_Realtor_Widget extends WP_Widget {
	
	function __construct() {
		parent::__construct('wpzoom-featured-realtor', __('COMTURKEY: Featured Agent', 'wpzoom'), array('description' => __('Display&rsquo;s info about a featured realtor/agent.', 'wpzoom')));
	}

	function widget($args, $instance) {
		extract($args);

		$title = apply_filters('widget_title', $instance['title']);
		$realtor_info = get_userdata((int)$instance['realtor']);
		$show_avatar = (int)$instance['avatar'];

		echo $before_widget;
		if($title) echo $before_title . $title . $after_title;
		
		echo "<div class=\"featured_agent\">";

		?>
		<?php printf('%2$s', get_author_posts_url($realtor_info->ID, $realtor_info->user_nicename),  get_avatar($realtor_info->ID, 60))  ?>
		
		<div class="agent_box">
		
			<h4><?php printf('<a href="%1$s" title="%2$s" rel="author">%3$s</a>', get_author_posts_url($realtor_info->ID, $realtor_info->user_nicename), esc_attr(sprintf(__('Properties from %s', 'wpzoom'), $realtor_info->display_name)), $realtor_info->display_name) ?></h4>
			
			<p><?php printf('%2$s', get_author_posts_url($realtor_info->ID, $realtor_info->description), $realtor_info->description) ?></p>
			
			<?php printf('<a href="%1$s" title="%2$s" rel="author">%2$s &rarr;</a>', get_author_posts_url($realtor_info->ID, $realtor_info->user_nicename), esc_attr(sprintf(__('View my listings', 'wpzoom'), $realtor_info->display_name)), get_avatar($realtor_info->ID, 60), $realtor_info->display_name) ?>

		</div>
		
		<?php
		
		echo "<div class=\"clear\"></div></div>";
		echo $after_widget;
	}

	function form($instance) {
		$title = $instance ? esc_attr($instance['title']) : __('Featured Agent', 'wpzoom');
		$realtor = isset($instance['realtor']) && (int)$instance['realtor'] > 0 ? (int)$instance['realtor'] : 0;

		?>
		
		<p>
			<label for="<?php echo $this->get_field_id('title') ?>"><?php _e('Title:', 'wpzoom') ?></label> 
			<input type="text" size="35" id="<?php echo $this->get_field_id('title') ?>" name="<?php echo $this->get_field_name('title') ?>" value="<?php echo $title ?>" class="widefat" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('realtor') ?>"><?php _e('Featured Agent:', 'wpzoom') ?></label> 
			<?php wp_dropdown_users(array('name' => $this->get_field_name('realtor'), 'id' => $this->get_field_id('realtor'), 'class' => 'widefat', 'selected' => $realtor)) ?>
		</p>

		<p>
			<input class="checkbox" type="checkbox" <?php checked((int)$instance['avatar'], true) ?> id="<?php echo $this->get_field_id('avatar') ?>" name="<?php echo $this->get_field_name('avatar') ?>" /> 
			<label for="<?php echo $this->get_field_id('avatar') ?>"><?php _e('Show Avatar', 'wpzoom') ?></label>
		</p>
		
		<?php
	}

	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['realtor'] = intval($new_instance['realtor']);
		$instance['avatar'] = isset($new_instance['avatar']) ? 1 : 0;
		return $instance;
	}
}

add_action('widgets_init', create_function('','register_widget("WPZOOM_Featured_Realtor_Widget");'));
?>