<?php

/*------------------------------------------*/
/* WPZOOM: Listing Search           		*/
/*------------------------------------------*/
 
class Wpzoom_Locator_Search extends WP_Widget {
	
	function Wpzoom_Locator_Search() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'locator-search', 'description' => 'A search form through property listings.' );

		/* Widget control settings. */
		$control_ops = array( 'id_base' => 'wpzoom-locator-search' );

		/* Create the widget. */
		$this->WP_Widget( 'wpzoom-locator-search', 'COMTURKEY: Listing Search', $widget_ops, $control_ops );
	}
	
	function widget( $args, $instance ) {
		
		extract( $args );
		global $wpdb;
		/* User-selected settings. */
		$title 				= apply_filters('widget_title', $instance['title'] );
 		$show_status 		= $instance['show_status'] ? true : false;
 		$show_type 			= $instance['show_type'] ? true : false;
 		$show_location 		= $instance['show_location'] ? true : false;
 		$show_price 		= $instance['show_price'] ? true : false;
 		$show_bedrooms 		= $instance['show_bedrooms'] ? true : false;
 		$show_bathrooms 	= $instance['show_bathrooms'] ? true : false;
 		
 		$price_list = explode("\n",option::get('search_price_values'));
 		natsort($price_list);
 		
		/* Before widget (defined by themes). */
		echo $before_widget;
		
		/* Title of widget (before defined by theme). */
		if ( $title ) {
			echo $before_title . $title;
			echo '</h3>';
			}
			
		echo '<div class="property_search">';
		
		?>
		
			<form method="get" class="searchform" action="<?php bloginfo('url'); ?>/" >
				
				<div class="property_fields">
				
					<?php 
 						// Property Status
 						if ( $show_status) {
							$args = array(
								'taxonomy' => 'status',
								'hide_empty' => 1,
								'echo' => 1,
								'show_option_all' => __(option::get('search_status')), 
								'name' => 'status',
								'orderby' => 'title'
							);
							if (isset($_GET['status'])){
								$args['selected'] = intval($_GET['status']);
							}
							wp_dropdown_categories( $args );
						}
						
						// Property Type
						if ( $show_type) {
							$args = array(
								'taxonomy' => 'types',
								'hide_empty' => 1,
								'echo' => 1,
								'show_option_all' => __(option::get('search_type')), 
								'name' => 'types',
								'orderby' => 'title'
 							);
							if (isset($_GET['types'])){
								$args['selected'] = intval($_GET['types']);
							}
							wp_dropdown_categories( $args );
						}
						
						// Location
						if ( $show_location) {
							$args = array(
								'taxonomy' => 'location',
								'hide_empty' => 1,
								'echo' => 1,
								'show_option_all' => __(option::get('search_location')), 
								'name' => 'location',
								'orderby' => 'title'
							);
							if (isset($_GET['location'])){
								$args['selected'] = intval($_GET['location']);
							}
							wp_dropdown_categories( $args );
						}
						?>
						
						<?php 
						// Price 
						if ( $show_price) { ?>
							<select name="price1" class="halfselect fixright">
								
								<option value="0"><?php echo option::get('search_pricemin') ?></option>
								<?php

								if (count($price_list) > 0) {
									foreach ($price_list as $price) {
									$price = strip_tags(trim($price));
									$nice_price = number_format($price , 0 , '.', ',');
								  
								  if ($price != '')
								  {
									  echo "<option value=\"" . $price . "\"";
									  if ($price == $_GET['price1'])
									  {
										echo ' selected="selected"';
									  }
									  echo">" . $nice_price . "</option>";
								  }
								}
							  }

							  ?>
							</select>
							
							<select name="price2" class="halfselect">
								
								<option value="0"><?php echo option::get('search_pricemax') ?></option>
								<?php
								reset($price_list);

								if (count($price_list) > 0) {
									foreach ($price_list as $price) {
									$price = strip_tags(trim($price));
									$nice_price = number_format($price , 0 , '.', ',');
								  
									if ($price != '')
									{
										echo "<option value=\"" . $price . "\"";
										if ($price == $_GET['price2'])
										{
											echo ' selected="selected"';
										}
										echo">" . $nice_price . "</option>";
											}
										}
									}
								?>
							</select>
						<?php } ?>
		 
						
						<?php 
						// Bedrooms 
						if ( $show_bedrooms) { ?>
							<select name="bedrooms" class="halffix">
								<option value="0"><?php echo option::get('search_bed') ?></option>
								  <?php
									$i = 0;
									while ($i < 9) {
									$i++;
									  
									  if ($i != '')
									  {
										  echo "<option value=\"" . $i . "\"";
										  if ($i == $_GET['bedrooms'])
										  {
											echo ' selected="selected"';
										  }
										  echo">" . $i . "</option>";
									  } // end if
									} // end while
								  ?>
								  <option value="0">10+</option>
							</select>
							<div class="clear"></div>
						<?php } ?>
						
						<?php 
						// Bathrooms 
						if ( $show_bathrooms) { ?>
							<select name="bathrooms" class="halffix">
								<option value="0"><?php echo option::get('search_bath') ?></option>
								  <?php
									$i = 0;
									while ($i < 9) {
									$i++;
									  
									  if ($i != '')
									  {
										  echo "<option value=\"" . $i . "\"";
										  if ($i == $_GET['bathrooms'])
										  {
											echo ' selected="selected"';
										  }
										  echo">" . $i . "</option>";
									  } // end if
									} // end while
								?>
								<option value="0">10+</option>
							</select>
						<?php } ?>
					<div class="clear"></div>
				</div><!-- /.property_fields -->
					
				<div class="property_submit">
					<input name="post_type" type="hidden" value="estate" />
					<input type="hidden" name="s" value="Listings">
					<input type="submit" class="btn" name="estate-submit" value="<?php echo option::get('search_btn') ?>" />
				</div>
			</form>
		
		<?php
 		echo '<div class="clear"></div>';

		/* After widget (defined by themes). */
		echo $after_widget;
	}
	
	
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['show_status'] = $new_instance['show_status'];
		$instance['show_type'] = $new_instance['show_type'];
		$instance['show_location'] = $new_instance['show_location'];
		$instance['show_price'] = $new_instance['show_price'];
		$instance['show_bedrooms'] = $new_instance['show_bedrooms'];
		$instance['show_bathrooms'] = $new_instance['show_bathrooms'];
   

		return $instance;
	}
	
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Locator Search',  'show_status' => false, 'show_type' => false, 'show_location' => false, 'show_price' => false, 'show_bedrooms' => false, 'show_bathrooms' => false, 'price' => "50000\n75000\n100000\n150000\n200000\n250000\n300000\n350000\n400000\n450000\n500000\n600000\n700000\n800000\n900000\n1000000\n1500000\n2000000\n2500000\n5000000\n10000000\n15000000\n20000000");
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br />
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" type="text" class="widefat" />
		</p>
		
		<p><strong>Fields to include in search form:</strong></p>

 		<p>
			<input class="checkbox" type="checkbox" <?php checked( $instance['show_status'], 'on' ); ?> id="<?php echo $this->get_field_id( 'show_status' ); ?>" name="<?php echo $this->get_field_name( 'show_status' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'show_status' ); ?>">Property Status</label>
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $instance['show_type'], 'on' ); ?> id="<?php echo $this->get_field_id( 'show_type' ); ?>" name="<?php echo $this->get_field_name( 'show_type' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'show_type' ); ?>">Property Type</label>
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $instance['show_location'], 'on' ); ?> id="<?php echo $this->get_field_id( 'show_location' ); ?>" name="<?php echo $this->get_field_name( 'show_location' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'show_location' ); ?>">Location</label>
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $instance['show_price'], 'on' ); ?> id="<?php echo $this->get_field_id( 'show_price' ); ?>" name="<?php echo $this->get_field_name( 'show_price' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'show_price' ); ?>">Price</label>
		</p>
		
 		<p>
			<input class="checkbox" type="checkbox" <?php checked( $instance['show_bedrooms'], 'on' ); ?> id="<?php echo $this->get_field_id( 'show_bedrooms' ); ?>" name="<?php echo $this->get_field_name( 'show_bedrooms' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'show_bedrooms' ); ?>">No. of Bedrooms</label>
		</p>
		
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $instance['show_bathrooms'], 'on' ); ?> id="<?php echo $this->get_field_id( 'show_bathrooms' ); ?>" name="<?php echo $this->get_field_name( 'show_bathrooms' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'show_bathrooms' ); ?>">No. of Bathrooms</label>
		</p>
		
 		<?php
	}
}

function wpzoom_register_ls_widget() {
	register_widget('Wpzoom_Locator_Search');
}
add_action('widgets_init', 'wpzoom_register_ls_widget');