<?php

/**
 * Video Widget
 */
add_action('widgets_init', create_function('', 'return register_widget("Video_Widget");'));

class Video_Widget extends WP_Widget
{
    function Video_Widget()
    {
        $widgetOps = array(
            "classname"   => "wpzoom_media",
            "description" => "A widget that displays custom post types Videos",
        );

        $controlOps = array(
             "id_base" => "video-widget"
        );

        $this->WP_Widget("video-widget", "Comturkey: Video Widget", $widgetOps, $controlOps);
    }

    function widget($args, $instance)
    {
		extract($args);
        
        $title = apply_filters("widget_title", $instance["title"]);
		$video_posts = $instance['testimonial_posts'];
 	
		echo $before_widget;
        echo $before_title . $title . $after_title;
		
		?>
 
			<?php if ( $title ) {	echo '<h3>'.$title.'</h3>'; } ?>
	  
 			 <div id="video_widget">
 				<?php $featured_posts = new WP_Query( array( 
													'post_type' 		=> 'video', 
													'post__not_in' 		=> get_option( 'sticky_posts' ),
													'posts_per_page'	=> $video_posts
 													) );
				?>
					
				<div class="video_widget_container">
				
					<?php $i = 0; while ($featured_posts->have_posts()) 
						{  
						$featured_posts->the_post(); global $post;
 						$featured_description = get_post_meta( $post->ID, '_ntz_featured_description', 1);
						$featured_description = !empty( $featured_description ) ? $featured_description : get_the_excerpt();
						
						$custom = get_post_custom($post->ID);  
				
						$testimonial_url = "". $custom["wpzoom_testimonial_url"][0];   
						$i++; 
						?>
				
						<div class="slide">
							<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php echo $featured_title; ?></a></h2>
  							<a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><img src="<?php echo ui::getImage(770, 380); ?>" alt="<?php the_title(); ?>" /></a>
						</div>
					
					<?php } ?>
			  
				</div><!-- /.slides_container -->
				
				<?php wp_reset_query(); ?>
				
				<div class="slides_navigation">
					
					<?php $featured_posts = new WP_Query( array( 
													'post_type' 		=> 'video', 
													'post__not_in' 		=> get_option( 'sticky_posts' ),
													'posts_per_page'	=> $video_posts
 													) );
					?>
					<ul class="pagination">
						
						<?php while ($featured_posts->have_posts()) 
							{  
							$featured_posts->the_post(); global $post;
 							?>
							
							<li><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><img src="<?php echo ui::getImage(50, 50); ?>" alt="<?php the_title(); ?>" /></a></li>
						<?php } ?>
					</ul>
				
				</div><!-- /.slides_navigation -->
			 
			</div><!-- /#slides -->
			<?php wp_reset_query(); ?>
			 
			<div class="clear"></div>


 
    <?php
        echo $after_widget;
    }

    function form($instance)
    {
        $defaults = array(
            "title" => "Video Widget",
            "count" => "3"
        );
        $instance = wp_parse_args((array) $instance, $defaults);
    ?>
        <!-- Widget Title -->
        <p>
            <label for="<?php echo $this->get_field_id("title"); ?>">Title</label>
            <input type="text" size="35" id="<?php echo $this->get_field_id("title"); ?>" name="<?php echo $this->get_field_name("title"); ?>" value="<?php echo $instance["title"]; ?>"  />
        </p>
        
        <!-- Widget Video count -->
        <p>
            <label for="<?php echo $this->get_field_id("count"); ?>">Videos</label>
            <select id="<?php echo $this->get_field_id("count"); ?>" name="<?php echo $this->get_field_name("count"); ?>" value="<?php echo $instance["count"]; ?>" style="width: 100%;">
                <?php for ($i = 2; $i <= 10; $i++) {
                    $active = "";
                    if ($instance["count"] == $i) {
                        $active = "selected=\"selected\"";
                    } ?>
                    <option <?php echo $active; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
                <?php } ?>
            </select>
			<span class="description" style="font-size:11px;">Make sure to specify exact number of videos, otherwise the widget won't work.</span>
        </p>

        <!-- Video urls & embeds -->
        
    <?php for ($i = 1; $i <= $instance["count"]; $i++) { ?>
        <p>
        <label for="<?php echo $this->get_field_id("video" . $i); ?>"><strong>Video #<?php echo $i; ?> Embed Code</strong></label>
 
        <textarea id="<?php echo $this->get_field_id("video" . $i); ?>" name="<?php echo $this->get_field_name("video" . $i); ?>" style="width: 96%; height:80px;"><?php echo htmlspecialchars($instance["video" . $i]); ?></textarea>
        </p>
        
        <p>
        <label for="<?php echo $this->get_field_id("video" . $i . "-title"); ?>">Video title</label>
        <input id="<?php echo $this->get_field_id("video" . $i . "-title"); ?>" name="<?php echo $this->get_field_name("video" . $i . "-title"); ?>" value="<?php echo $instance["video" . $i . "-title"]; ?>" type="text" size="35"/>
		</p>
		
		<p>
        <label for="<?php echo $this->get_field_id("video" . $i . "-desc"); ?>">Video description</label>
        <input id="<?php echo $this->get_field_id("video" . $i . "-desc"); ?>" name="<?php echo $this->get_field_name("video" . $i . "-desc"); ?>" value="<?php echo $instance["video" . $i . "-desc"]; ?>" type="text" size="35" />
        <br/><br/></p>
    <?php }  
    }
}

?>