<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

    <title><?php ui::title(); ?></title>

	<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
	<link href='http://fonts.googleapis.com/css?family=PT+Sans' rel='stylesheet' type='text/css'>
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

    <?php wp_head(); ?>
 
<style type="text/css">

#backtotop {

    position: fixed;

    right:0px;

    bottom:15px;

    display:none;/*hid the button first*/

}

#backtotop a {

    text-decoration:none;

    border:0 none;

    display:block;

    width:44px;

    height:44px;

}

#backtotop a:hover {

    opacity:.8; /*mouse over fade effect*/

}

.clrb {

    clear:both;

}

#maindiv {

    width:700px;

    border:1px solid #999;

    margin:auto;

    padding:20px;

}

</style>
<!-- include jQuery Library -->
<script type="text/javascript" src="js/jquery.js"></script>
<!-- efforless script below -->
<script type="text/javascript">
	jQuery(document).ready(function(){
		var pxShow = 500;//height on which the button will show
		var fadeInTime = 500;//how slow/fast you want the button to show
		var fadeOutTime = 500;//how slow/fast you want the button to hide
		var scrollSpeed = 500;//how slow/fast you want the button to scroll to top. can be a value, 'slow', 'normal' or 'fast'
		jQuery(window).scroll(function(){
			if(jQuery(window).scrollTop() >= pxShow){
				jQuery("#backtotop").fadeIn(fadeInTime);
			}else{
				jQuery("#backtotop").fadeOut(fadeOutTime);
			}
		});
		 
		jQuery('#backtotop a').click(function(){
			jQuery('html, body').animate({scrollTop:0}, scrollSpeed); 
			return false; 
		}); 
	});
</script>
</head>
<body <?php body_class() ?>>

<div id="container">
    <header class="top">
        <div class="wrap">
 
            <div id="logo">
                <?php if (!option::get('misc_logo_path')) { echo "<h1>"; } ?>
                
                <a href="<?php echo home_url(); ?>" title="<?php bloginfo('description'); ?>">
                    <?php if (!option::get('misc_logo_path')) { bloginfo('name'); } else { ?>
                        <img src="<?php echo ui::logo(); ?>" alt="<?php bloginfo('name'); ?>" />
                    <?php } ?>
                </a><div class="clear"></div>
                
                <?php if (!option::get('misc_logo_path')) { echo "</h1>"; } ?>

            </div><!-- / #logo -->
 
             <address>
                <p class="address" itemprop="address"><?php option::get('misc_address', 1); ?></p>
                <p class="phone" itemprop="tel"><?php option::get('misc_phone', 1); ?></p>
            </address>

            <div class="clear"></div>
        </div><!--/ .wrap -->
        <div class="clear"></div>
    </header>
    
    <div id="navbar">
        <div class="wrap">
        <?php
 			get_search_form();
			
			wp_nav_menu(array(
                'container' => 'menu',
                'container_class' => '',
                'menu_class' => 'dropdown',
                'menu_id' => 'mainmenu',
                'sort_column' => 'menu_order',
                'theme_location' => 'primary'
            ));

         ?>
        </div>
        <div class="clear"></div>
    </div><!-- / #navbar -->