<?php
if(strtolower($_SERVER['REQUEST_METHOD']) == 'post' && isset($_POST['cName']) && isset($_POST['cEmail']) && isset($_POST['cSubject']) && isset($_POST['cMsg'])) {
	$name = trim($_POST['cName']);
	$email = trim($_POST['cEmail']);
	$subject = trim($_POST['cSubject']);
	$msg = trim($_POST['cMsg']);

	if(empty($name)) $cNameErr = true;
	if(empty($email) || filter_var($email, FILTER_VALIDATE_EMAIL) === false) $cEmailErr = true;
	if(empty($subject)) $cSubjectErr = true;
	if(empty($msg)) $cMsgErr = true;

	if(!isset($cNameErr) && !isset($cEmailErr) && !isset($cSubjectErr) && !isset($cMsgErr)) {
		global $wp_query;
		$spam = bm_checkSpam(array('comment_author' => $name, 'comment_author_email' => $email, 'comment_content' => $subject . "\n\n" . $msg));
		$out['send_result'] = $spam ? false : wp_mail(
			get_the_author_meta('user_email', (int)$wp_query->post->post_author),
			htmlspecialchars(get_bloginfo('name') . __(' Inquiry: ', 'wpzoom') . single_post_title('', false)),
			htmlspecialchars($msg),
			sprintf("From: %s <%s>\r\n", htmlspecialchars($name), $email)
		);
	} else {
		if(isset($cNameErr)) $out['name_error'] = true;
		if(isset($cEmailErr)) $out['email_error'] = true;
		if(isset($cSubjectErr)) $out['subject_error'] = true;
		if(isset($cMsgErr)) $out['message_error'] = true;
	}

	if(isset($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
		header('Content-type: application/json');
		die(json_encode($out));
	}
}

 	$price = get_post_meta(get_the_ID(), 'wpzoom_estate_wpzprice', true);
	if ($price != '') { $nice_price = number_format($price , 0 , '.', ','); }
 	$bedrooms = get_post_meta(get_the_ID(), 'wpzoom_estate_wpzbedroom', true);
	$bathrooms = get_post_meta(get_the_ID(), 'wpzoom_estate_wpzbathroom', true);
	$address = get_post_meta(get_the_ID(), 'wpzoom_estate_wpzaddress', true);
	$currency = option::get('currency');
?>

<?php get_header(); ?>
 
<div id="head_title">
	<div class="wrap">
		<?php if (get_post_meta($post->ID, '_pronamic_google_maps_active', true) == 'true') { ?><a class="btn_map" id="toggle" href="#"><?php echo option::get('lang_15') ?></a><?php } ?>

		<h1>
			<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'wpzoom' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			<?php if ($price != '') { echo "<span>" . $currency.$nice_price . "</span>"; } ?>
			<?php edit_post_link( __('Edit', 'wpzoom'), '<span>', '</span>'); ?>	
		</h1>
		<div class="clear"></div>
		
  	</div>
</div>
	
<div id="estate_map">
	<div class="wrap">
 		<?php 
  		if(function_exists('pronamic_google_maps')) {
			pronamic_google_maps(array(
				'width' => 960,
				'height' => 400,
 				'marker_options' => array(
                'icon' => get_bloginfo('template_directory').'/images/pin.png' 
                )
			));
		}
  		?>
 
  	</div>
</div>
 
<div id="main" role="main">
 
    <section id="content">
        
        <?php while (have_posts()) : the_post(); ?>
			
			<?php // Slider showing attached images
				$args = array(
				'order'          => 'ASC',
				'orderby'        => 'menu_order',
				'post_type'      => 'attachment',
				'post_parent'    => $post->ID,
				'post_mime_type' => 'image',
				'post_status'    => null,
				'numberposts'    => -1,
			);
			$attachments = get_posts($args);
			if ($attachments) { ?>
			
				<div class="estate_carousel">
					<div class="sliderkit">
						<ul class="sliderkit-panels">
							<?php foreach ($attachments as $attachment) { 

								$image_attributes = wp_get_attachment_image_src( $attachment->ID, 'single-slider' ); // returns an array
 
								?>
								<li class="sliderkit-panel">
									<a href="<?php echo wp_get_attachment_url($attachment->ID); ?>" rel="fadebox" title="<?php echo apply_filters( 'the_title', $attachment->post_title ); ?>"><img src="<?php echo $image_attributes[0]; ?>" width="600" height="320" alt="<?php echo apply_filters( 'the_title', $attachment->post_title ); ?>" /></a>
									<div class="slide_caption"><?php echo apply_filters( 'the_title', $attachment->post_title ); ?></div>
								</li>
							<?php } ?>
 						</ul>
				
						<div class="sliderkit-btn browse left sliderkit-go-btn sliderkit-go-prev"><a href="#" title="Previous"> </a></div>
						<div class="sliderkit-btn browse right sliderkit-go-btn sliderkit-go-next"><a href="#" title="Next"> </a></div>
	 
					</div>
				</div>
			
				<div class="cleaner">&nbsp;</div>
			<?php } // Slider ending ?>
			
 
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<h3 class="entry-title"><?php echo option::get('lang_10') ?></h3>
  				<div class="awr">
 					
					<div class="entry">
						<?php the_content(); ?>
 					</div><!--/.entry -->
 				 
				</div><!-- /.awr -->
			</article><!-- #post-<?php the_ID(); ?> -->
		<?php endwhile; ?>
    </section>
    
    
    <section id="sidebar">
        <div class="property_widget">
 			<div class="widget_border">
				<h3><?php echo option::get('lang_11') ?></h3>
				
				<div class="widget_content">
					<?php if ($price != '') { ?>
					<dl>
						<dt><?php echo option::get('price'); ?></dt>
						<dd><?php echo "<span>" . $currency.$nice_price . "</span>";?></dd>
					</dl>
					<?php } ?>
					
					<?php if ($bedrooms != '') { ?>
					<dl>
						<dt><?php echo option::get('bedrooms'); ?></dt>
						<dd><?php echo "<span>" . $bedrooms . "</span>";?></dd>
					</dl>
					<?php } ?>
					 
					<?php if ($bathrooms != '') { ?>
					<dl>
						<dt><?php echo option::get('bathrooms'); ?></dt>
						<dd><?php echo "<span>" . $bathrooms . "</span>";?></dd>
					</dl>
					<?php } ?>
					
					<?php if ($address != '') { ?>
					<dl>
						<dt><?php echo option::get('address'); ?></dt>
						<dd><?php echo "<span>" . $address . "</span>";?></dd>
					</dl>
					<?php } ?>
					
					<?php

					foreach (option::$options as $option => $val) {
						if (strpos($option, 'listing') !== false && trim($val) != '') {
							$options[] = $val;
						}
					}
						   
					foreach ($options as $option) {
						$id = strtolower(str_replace(" ", "_", preg_replace("/[^a-zA-Z0-9\s]/", "", $option)));
						$value = get_post_meta($post->ID, 'wpzoom_estate_' . $id, true);
						
						// skip if we don't have value for this field
						if (trim($value) === '') continue;
					?>
						<dl>
							<dt><?php echo $option; ?></dt>
							<dd><?php echo "<span>" . $value . "</span>";?></dd>
						</dl>				
					<?php } ?>
					<div class="clear"></div>
				</div>
			</div>
        </div>
        
        <?php if (option::get('list_author') == 'on') { ?>
		<div class="property_widget">
 			<div class="widget_border">
				<h3><?php echo option::get('lang_12') ?></h3>
				
				<div class="widget_content">
				
 					<div class="author_box">
						<?php echo get_avatar( get_the_author_meta('ID'), 60 ); ?>
						
						<div class="author_info">
							<span class="author_name"><?php the_author_posts_link(); ?></span>
 							<p><?php the_author_meta('description'); ?></p>
 							
 							<span>
								<?php if ( get_the_author_meta( 'twitter' ) ) { ?>
									<?php echo option::get('lang_6') ?>: <a href="http://twitter.com/<?php the_author_meta( 'twitter' ); ?>" title="Follow <?php the_author_meta( 'display_name' ); ?> on Twitter" target="_blank">@<?php the_author_meta( 'twitter' ); ?></a>
								<?php } ?>
							</span>
							
							<span>
								<?php if ( get_the_author_meta( 'phone' ) ) { ?>
									<?php echo option::get('lang_7') ?>: <?php the_author_meta( 'phone' ); ?> 
								<?php } ?>
							</span>
						</div>
					</div>
					
					<?php if (option::get('list_author_contact') == 'on') { ?>
						<a href="#" class="contact_form"><span><?php echo option::get('lang_13') ?></span><?php echo option::get('lang_14') ?></a>
					<?php } ?>
					
					<?php get_template_part('wpzoom', 'contactform'); ?>

  
				</div>
			</div>
        </div>
		<?php } ?>
		
    </section>

</div><!-- /#main -->
<?php get_footer(); ?>