<?php
/*
Template Name: Agents
*/

get_header() ?>

<div id="head_title">
	<div class="wrap">
		<h1>
			<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute() ?>"><?php the_title() ?></a>
 		</h1>
  	</div>
</div>

<div id="main" role="main" class="agents">
	<?php get_sidebar() ?>

	<section id="content">
		<?php $authors = $wpdb->get_results("SELECT DISTINCT post_author FROM {$wpdb->posts} WHERE post_type = 'estate'");
			if($authors) {
			foreach($authors as $author) {
			?>
 			
 			<article id="author-<?php the_author_meta('user_login', $author->post_author) ?>" <?php post_class() ?>>
				<div class="awr">
					<header class="entry-header">
						<?php echo get_avatar($author->post_author, 70) ?>
						<h3 class="entry-title"><a href="<?php echo get_author_posts_url($author->post_author) ?>" rel="bookmark" title="<?php printf(__('Profile for %s', 'wpzoom'), the_author_meta('display_name', $author->post_author)) ?>"><?php the_author_meta('display_name', $author->post_author) ?></a></h3>
						<?php if(get_the_author_meta('description', $author->post_author)) {
							printf('<p>%s</p>', get_the_author_meta('description', $author->post_author));
							} ?>
						<?php if(current_user_can('edit_users')) { ?> <a class="post-edit-link" href="<?php echo admin_url("user-edit.php?user_id={$author->post_author}") ?>" title="<?php _e('Edit User', 'wpzoom') ?>"><?php _e('Edit User', 'wpzoom') ?></a> <?php } ?>

						<div class="clear"></div>
					</header><!-- .entry-header -->

					<div class="entry">
						<?php $recentPost = new WP_Query("post_type=estate&author={$author->post_author}&showposts=5"); ?>
						<h4><?php _e('Latest listings:', 'wpzoom') ?></h4>
							
						<ul>
							<?php while($recentPost->have_posts()) {
								$recentPost->the_post();
								?> 
									<li><a href="<?php the_permalink() ?>" title="<?php printf(__('Permanent Link to %s', 'wpzoom'), the_title_attribute()) ?>"><?php the_title() ?></a></li> <?php
							} ?>
						</ul>
					</div><!-- /.entry -->

				</div><!-- /.awr -->
			</article><!-- #post--->
			<?php }
		} ?>
	</section>
</div><!--/#main-->

<?php get_footer() ?>